Subject: [alpine-aports] [PATCH] testing/notmuch: new aport

From: Stefan Wagner <[email-masked]>
Date: Tue, 19 Apr 2016 13:43:33 +0200

E-Mail index, search and tagging
https://notmuchmail.org/
---
 testing/notmuch/APKBUILD | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)
 create mode 100644 testing/notmuch/APKBUILD

diff --git a/testing/notmuch/APKBUILD b/testing/notmuch/APKBUILD
new file mode 100644
index 0000000..7545c57
--- /dev/null
+++ b/testing/notmuch/APKBUILD
@@ -0,0 +1,28 @@
+# Contributor: Stefan Wagner <[email-masked]>
+# Maintainer: Stefan Wagner <[email-masked]>
+pkgname=notmuch
+pkgver=0.21
+pkgrel=0
+pkgdesc="E-Mail index, search and tagging"
+url="https://notmuchmail.org/"
+arch="all"
+license="GPL3"
+makedepends="gzip xapian-core-dev gmime-dev talloc-dev py-sphinx"
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://notmuchmail.org/releases/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir/$pkgname-$pkgver"
+build() {
+	cd "$builddir"
+	./configure --prefix=/usr || return 1
+	make PREFIX=/usr DESTDIR="$pkgdir"
+}
+
+package() {
+	cd "$builddir"
+	make PREFIX=/usr DESTDIR="$pkgdir" install
+}
+
+md5sums="a951212b8c4624e9a2069e9d9e00222b  notmuch-0.21.tar.gz"
+sha256sums="d06f8ffed168c7d53ffc449dd611038b5fa90f7ee22d58f3bec3b379571e25b3  notmuch-0.21.tar.gz"
+sha512sums="2485c422433be21f6bf89aaf997e1468c31a52029ddc8336e78a632b292c659569448c29813ea550ed27fb6815558522a451a7fa10e8fb3f87d9538b4dd7b01a  notmuch-0.21.tar.gz"
-- 
2.8.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---